<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Anagrama</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne se um palavra é anagram da outra
        */
        function isAnagram(test, original) {
            // implementar logica aqui
            let escritaEmbaralhada = test.toLowerCase()
            let escritaCorreta = original.toLowerCase()

            if (escritaEmbaralhada.length !== escritaCorreta.length) {
                return false;
            } else {

                let primeiraPalavra = escritaEmbaralhada.split('').sort().join('');
                let segundaPalavra = escritaCorreta.split('').sort().join('');

                let comparacao = (primeiraPalavra === segundaPalavra);

                return comparacao;
        }
    }


        // Resultados esperados
        console.log(isAnagram("foefet", "toffee"), true) // true
        console.log(isAnagram("Buckethead", "DeathCubeK"), true) // true
        console.log(isAnagram("Twoo", "WooT"), true) // true

        console.log(isAnagram("dumble", "bumble"), false) // false
        console.log(isAnagram("ound", "round"), false) // false
        console.log(isAnagram("apple", "pale"), false) // false

    </script>
</body>

</html>